[gimp/wip/wormnest/fix-installer] build: fix Windows installer




commit 49b82bda270d8b55b5d210f3584c801c11fc2ef9
Author: Jacob Boerema <jgboerema gmail com>
Date:   Mon Aug 15 15:38:36 2022 -0400

    build: fix Windows installer
    
    The Hungarian language file for the Windows installer was recently moved
    from unofficial to the officially supported languages. However, a new
    release including Hungarian by default is not available yet. This causes
    our CI to fail because it can't find Hungarian in unofficial.
    
    We change our ci script to download Hungarian from the correct location
    for official languages, and adapt gimp3264.iss to reflect the correct
    location.

 build/windows/gitlab-ci/installer-gimp-msys2.sh | 18 +++++++++++++++++-
 build/windows/installer/gimp3264.iss            |  2 +-
 2 files changed, 18 insertions(+), 2 deletions(-)
---
diff --git a/build/windows/gitlab-ci/installer-gimp-msys2.sh b/build/windows/gitlab-ci/installer-gimp-msys2.sh
index 45a66df82a..f61d3f2659 100644
--- a/build/windows/gitlab-ci/installer-gimp-msys2.sh
+++ b/build/windows/gitlab-ci/installer-gimp-msys2.sh
@@ -22,6 +22,18 @@ download_lang ()
   fi
 }
 
+download_lang_official ()
+{
+  langfile="$1"
+  rm -f "$langfile"
+  wget "https://raw.githubusercontent.com/jrsoftware/issrc/main/Files/Languages/$langfile";
+  downloaded="$?"
+  if [ $downloaded -ne 0 ]; then
+    echo "Download of '$langfile' failed."
+    exit 1
+  fi
+}
+
 add_bom ()
 {
   langfile="$1"
@@ -43,7 +55,6 @@ download_lang Esperanto.isl
 download_lang Galician.isl
 download_lang Georgian.isl
 download_lang Greek.isl
-download_lang Hungarian.isl
 download_lang Indonesian.isl
 download_lang Korean.isl
 download_lang Latvian.isl
@@ -55,6 +66,11 @@ download_lang Swedish.isl
 download_lang Vietnamese.isl
 cd -
 
+# Hungarian is not in a release yet, but was moved from Unofficial
+cd "${ISCCDIR}/Languages/"
+download_lang_official Hungarian.isl
+cd -
+
 # Copy generated language files into the source directory.
 cp _build-w64/build/windows/installer/lang/*isl build/windows/installer/lang
 
diff --git a/build/windows/installer/gimp3264.iss b/build/windows/installer/gimp3264.iss
index 40b82c7982..73d30d7d98 100755
--- a/build/windows/installer/gimp3264.iss
+++ b/build/windows/installer/gimp3264.iss
@@ -200,7 +200,7 @@ Name: "fi"; MessagesFile: "compiler:Languages\Finnish.isl,lang\fi.setup.isl"
 Name: "fr"; MessagesFile: "compiler:Languages\French.isl,lang\fr.setup.isl"
 Name: "gl"; MessagesFile: "compiler:Languages\Unofficial\Galician.isl,lang\gl.setup.isl"
 Name: "he"; MessagesFile: "compiler:Languages\Hebrew.isl,lang\he.setup.isl"
-Name: "hu"; MessagesFile: "compiler:Languages\Unofficial\Hungarian.isl,lang\hu.setup.isl"
+Name: "hu"; MessagesFile: "compiler:Languages\Hungarian.isl,lang\hu.setup.isl"
 ;Name: "hr"; MessagesFile: "compiler:Languages\Unofficial\Croatian.isl,lang\hr.setup.isl"
 Name: "id"; MessagesFile: "compiler:Languages\Unofficial\Indonesian.isl,lang\id.setup.isl"
 Name: "is"; MessagesFile: "compiler:Languages\Icelandic.isl,lang\is.setup.isl"


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]